Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1201077 - libdwarf-20150310 is available
Summary: libdwarf-20150310 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libdwarf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: harden-failure
TreeView+ depends on / blocked
 
Reported: 2015-03-12 00:49 UTC by Upstream Release Monitoring
Modified: 2015-03-18 10:34 UTC (History)
3 users (show)

Fixed In Version: libdwarf-20150310-2.fc22
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-18 10:34:57 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2015-03-12 00:49:51 UTC
Latest upstream release: 20150310
Current version/release in rawhide: 20150115-1.fc22
URL: http://www.prevanders.net/dwarf.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2015-03-12 00:52:04 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9207230

Comment 2 Tom Hughes 2015-03-12 18:12:17 UTC
This is failing to build for x86 due to hardened build issues.

Comment 3 Upstream Release Monitoring 2015-03-12 18:28:17 UTC
tomh's libdwarf-20150310-2.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=619800

Comment 4 Fedora Update System 2015-03-12 18:56:43 UTC
libdwarf-20150310-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libdwarf-20150310-2.fc22

Comment 5 Fedora Update System 2015-03-13 17:28:52 UTC
Package libdwarf-20150310-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libdwarf-20150310-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3818/libdwarf-20150310-2.fc22
then log in and leave karma (feedback).

Comment 6 Moez Roy 2015-03-14 14:42:38 UTC
(adding what I said on devel ml)

What is interesting about this is it built successfully for x86_64 but failed for i686.

https://koji.fedoraproject.org/koji/taskinfo?taskID=9208115



I added '%global _hardened_build 1' to the spec file and it builds fine with the hardening flags for f21.

https://koji.fedoraproject.org/koji/taskinfo?taskID=9211417



This one will require more research.

Comment 7 Fedora Update System 2015-03-18 10:34:57 UTC
libdwarf-20150310-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.